#!/bin/bash

source install_library.bash

echo Using ARCHIVE=$ARCHIVE

# Basic stuff
install_packages build-essential emacs subversion libreadline5-dev openssh-server autoconf

# Python stuff
install_packages python-dev python-numpy python-scipy python-wxglade swig

# Kernel stuff
install_packages linux-source kernel-package

# External stuff
LIBCONFIG=`get_http http://www.hyperrealm.com/libconfig/libconfig-1.3.2.tar.gz`
LCDIR=`tar -tf $LIBCONFIG | head -1`
LIBCONFIG_DIR=$ARCHIVE/$LCDIR

tar -C $ARCHIVE -xzf $LIBCONFIG
cd $LIBCONFIG_DIR
./configure -C --prefix=$PREFIX
make
$SUDO make install
